- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAssetManager
TCacheHttpSession
THttpCookie
THttpCookieCollection
THttpRequest
THttpRequestUrlFormat
THttpResponse
THttpResponseAdapter
THttpSession
THttpSessionCookieMode
THttpUtility
TSessionIterator
TUri
TUrlManager
TUrlMapping
TUrlMappingPattern

Keyword

# Class THttpCookie

    TComponent
       |
       --THttpCookie

THttpCookie class.

A THttpCookie instance stores a single cookie, including the cookie name, value, domain, path, expire, and secure.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
string | getDomain ()
integer | getExpire ()
string | getName ()
string | getPath ()
boolean | getSecure ()
string | getValue ()
void | setDomain ( string $value)
void | setExpire ( integer $value)
void | setName ( string $value)
void | setPath ( string $value)
void | setSecure ( boolean $value)
void | setValue ( string $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## getDomain

public string getDomain | ()

Output
string | the domain to associate the cookie with
Exception

## getExpire

public integer getExpire | ()

Output
integer | the time the cookie expires. This is a Unix timestamp so is in number of seconds since the epoch.
Exception

## getName

public string getName | ()

Output
string | the name of the cookie
Exception

## getPath

public string getPath | ()

Output
string | the path on the server in which the cookie will be available on, default is '/'
Exception

## getSecure

public boolean getSecure | ()

Output
boolean | whether the cookie should only be transmitted over a secure HTTPS connection
Exception

## getValue

public string getValue | ()

Output
string | the value of the cookie
Exception

## setDomain

public void setDomain | (string $value )

Input
string | $value | the domain to associate the cookie with
Output
Exception

## setExpire

public void setExpire | (integer $value )

Input
integer | $value | the time the cookie expires. This is a Unix timestamp so is in number of seconds since the epoch.
Output
Exception

## setName

public void setName | (string $value )

Input
string | $value | the name of the cookie
Output
Exception

## setPath

public void setPath | (string $value )

Input
string | $value | the path on the server in which the cookie will be available on
Output
Exception

## setSecure

public void setSecure | (boolean $value )

Input
boolean | $value | ether the cookie should only be transmitted over a secure HTTPS connection
Output
Exception

## setValue

public void setValue | (string $value )

Input
string | $value | the value of the cookie
Output
Exception